commit:     6d6253ee1af11f34748a21a39aa459bcd3f4b533
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sat Dec  5 16:04:57 2020 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sat Dec  5 18:48:11 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d6253ee

gnome-base/gnome-shell: Version bump to 3.38.2

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 gnome-base/gnome-shell/Manifest                  |   1 +
 gnome-base/gnome-shell/gnome-shell-3.38.2.ebuild | 186 +++++++++++++++++++++++
 2 files changed, 187 insertions(+)

diff --git a/gnome-base/gnome-shell/Manifest b/gnome-base/gnome-shell/Manifest
index a6ac4f86d5d..3e4e4fceeaa 100644
--- a/gnome-base/gnome-shell/Manifest
+++ b/gnome-base/gnome-shell/Manifest
@@ -1,3 +1,4 @@
 DIST gnome-shell-3.36.7-patchset.tar.xz 6364 BLAKE2B 
80a2e2a03e4cc3b15db6af872a2330c0921a63bcd03db78a970190fee93c982296b381d08ac4bd1cb5dbe5b14d9732e447445f5dcc06d607826a9026395f10bb
 SHA512 
6f9145fd00117e6b4170e7457c83a8c3bbbbfc6086ce3bcd07813b5a4f05e58f42e889cc90799d6988af05fce9791a792e4d8d60ffe58818563c852f9923930d
 DIST gnome-shell-3.36.7.tar.xz 1777236 BLAKE2B 
4dd3b98e8a2ffa711bffe0b3b78708c85c1979122ee71e7e0d7c55626a608ba4598071bf8659338c960ba4b0349e5b621b97f294a4961cf021b9047753136af5
 SHA512 
7275d1e2d2629abd2fbfae910a77c25485464e39f8317ba1b0e8e1ae3368e69af4eb85c2611e82ea04270bfd8185e24f13002df9b13335adbdff144847790656
 DIST gnome-shell-3.38.1.tar.xz 1812860 BLAKE2B 
d58dd9f5962d953f4bfa8aede62e24007185e0b4b82781c54cce87d8505657e01b0f76a9119b60634e6c723b7dd9320f5c56b984b59cc8fce61ad4a897291b44
 SHA512 
7ab580f892c4b4dac2fc8625343dfab1bf7a11e148dc01e6e805a5b1ac1d4cb17943b9a3058ec69fc086c270d76ef8073dca494991a5da1dcfa52b42dcc03f01
+DIST gnome-shell-3.38.2.tar.xz 1814152 BLAKE2B 
765f584ad8f71ac185e9dc6683f1866308c126d8ce8ba9330068e324ea9586b57315cf7feade62eb4142bb3a4effd80c7e6e0d7b36b6c5fb7d547e3bff9c2ab2
 SHA512 
ac37549039a11f4f1b2cdd8b0f8cab72093efca74a5909ad187121565cce737c6a6f296c7241ac5f2174fdfcf11070f7584e713e244fafc911fe039d8fd05f04

diff --git a/gnome-base/gnome-shell/gnome-shell-3.38.2.ebuild 
b/gnome-base/gnome-shell/gnome-shell-3.38.2.ebuild
new file mode 100644
index 00000000000..e512f2ed476
--- /dev/null
+++ b/gnome-base/gnome-shell/gnome-shell-3.38.2.ebuild
@@ -0,0 +1,186 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit gnome.org gnome2-utils meson python-single-r1 virtualx xdg
+
+DESCRIPTION="Provides core UI functions for the GNOME 3 desktop"
+HOMEPAGE="https://wiki.gnome.org/Projects/GnomeShell";
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="0"
+IUSE="+bluetooth +browser-extension elogind gtk-doc +ibus +networkmanager 
systemd telepathy"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+       ?? ( elogind systemd )"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+# libXfixes-5.0 needed for pointer barriers and #include 
<X11/extensions/Xfixes.h>
+# FIXME:
+#  * gstreamer/pipewire support is currently automagic
+DEPEND="
+       >=gnome-extra/evolution-data-server-3.33.1:=
+       >=app-crypt/gcr-3.7.5[introspection]
+       >=dev-libs/glib-2.57.2:2
+       >=dev-libs/gobject-introspection-1.49.1:=
+       >=dev-libs/gjs-1.65.1
+       >=x11-libs/gtk+-3.15.0:3[introspection]
+       >=x11-wm/mutter-3.38.0:0/7[introspection]
+       >=sys-auth/polkit-0.100[introspection]
+       >=gnome-base/gsettings-desktop-schemas-3.33.1
+       >=x11-libs/startup-notification-0.11
+       >=app-i18n/ibus-1.5.2
+       >=gnome-base/gnome-desktop-3.35.90:3=[introspection]
+       bluetooth? ( >=net-wireless/gnome-bluetooth-3.9[introspection] )
+       >=media-libs/gstreamer-0.11.92:1.0
+       media-libs/gst-plugins-base:1.0
+       >=media-video/pipewire-0.3.0:0/0.3
+       networkmanager? (
+               >=net-misc/networkmanager-1.10.4:=[introspection]
+               net-libs/libnma[introspection]
+               >=app-crypt/libsecret-0.18
+               dev-libs/dbus-glib )
+       systemd? ( >=sys-apps/systemd-31
+               >=gnome-base/gnome-desktop-3.34.2:3=[systemd] )
+       elogind? ( >=sys-auth/elogind-237 )
+       app-arch/gnome-autoar
+       dev-libs/json-glib
+
+       >=app-accessibility/at-spi2-atk-2.5.3
+       x11-libs/gdk-pixbuf:2[introspection]
+       dev-libs/libxml2:2
+       x11-libs/libX11
+
+       >=media-sound/pulseaudio-2[glib]
+       >=dev-libs/atk-2[introspection]
+       dev-libs/libical:=
+       >=x11-libs/libXfixes-5.0
+
+       ${PYTHON_DEPS}
+       $(python_gen_cond_dep '
+               dev-python/pygobject:3[${PYTHON_MULTI_USEDEP}]
+       ')
+       media-libs/mesa[X(+)]
+"
+# Runtime-only deps are probably incomplete and approximate.
+# Introspection deps generated using:
+#  grep -roe "imports.gi.*" gnome-shell-* | cut -f2 -d: | sort | uniq
+# Each block:
+# 1. Introspection stuff needed via imports.gi.*
+# 2. gnome-session needed for shutdown/reboot/inhibitors/etc
+# 3. Control shell settings
+# 4. logind interface needed for suspending support
+# 5. xdg-utils needed for xdg-open, used by extension tool
+# 6. adwaita-icon-theme needed for various icons & arrows (3.26 for new 
video-joined-displays-symbolic and co icons; review for 3.28+)
+# 7. mobile-broadband-provider-info, timezone-data for 
shell-mobile-providers.c  # TODO: Review
+# 8. IBus is needed for nls integration
+# 9. Optional telepathy chat integration
+# 10. Cantarell font used in gnome-shell global CSS (if removing this for some 
reason, make sure it's pulled in somehow for non-meta users still too)
+# 11. TODO: semi-optional webkit-gtk[introspection] for captive portal helper
+RDEPEND="${DEPEND}
+       >=sys-apps/accountsservice-0.6.14[introspection]
+       app-accessibility/at-spi2-core:2[introspection]
+       app-misc/geoclue[introspection]
+       >=dev-libs/libgweather-3.26:2[introspection]
+       >=sys-power/upower-0.99:=[introspection]
+       x11-libs/pango[introspection]
+       gnome-base/librsvg:2[introspection]
+
+       >=gnome-base/gnome-session-2.91.91
+       >=gnome-base/gnome-settings-daemon-3.8.3
+
+       x11-misc/xdg-utils
+
+       >=x11-themes/adwaita-icon-theme-3.26
+
+       networkmanager? (
+               net-misc/mobile-broadband-provider-info
+               sys-libs/timezone-data )
+       ibus? ( >=app-i18n/ibus-1.4.99[dconf(+),gtk,introspection] )
+       telepathy? (
+               >=net-im/telepathy-logger-0.2.4[introspection]
+               >=net-libs/telepathy-glib-0.19[introspection] )
+       media-fonts/cantarell
+"
+# avoid circular dependency, see bug #546134
+PDEPEND="
+       >=gnome-base/gdm-3.5[introspection]
+       >=gnome-base/gnome-control-center-3.26[bluetooth(+)?,networkmanager(+)?]
+       browser-extension? ( gnome-extra/chrome-gnome-shell )
+"
+BDEPEND="
+       dev-lang/sassc
+       dev-libs/libxslt
+       app-text/asciidoc
+       >=dev-util/gdbus-codegen-2.45.3
+       dev-util/glib-utils
+       gtk-doc? ( >=dev-util/gtk-doc-1.17
+               app-text/docbook-xml-dtd:4.3 )
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+"
+
+PATCHES=(
+       # Fix automagic gnome-bluetooth dep, bug #398145
+       "${FILESDIR}"/3.34-optional-bluetooth.patch
+       # Change favorites defaults, bug #479918
+       "${FILESDIR}"/3.36-defaults.patch
+)
+
+src_prepare() {
+       xdg_src_prepare
+       # Hack in correct python shebang
+       sed -e "s:python\.path():'/usr/bin/env ${EPYTHON}':" -i src/meson.build 
|| die
+}
+
+src_configure() {
+       local emesonargs=(
+               $(meson_use bluetooth)
+               -Dextensions_tool=true
+               -Dextensions_app=true
+               $(meson_use gtk-doc gtk_doc)
+               -Dman=true
+               $(meson_use networkmanager)
+               $(meson_use systemd) # this controls journald integration and 
desktop file user services related property only as of 3.34.4
+               # (structured logging and having gnome-shell launched apps use 
its own identifier instead of gnome-session)
+               # suspend support is runtime optional via /run/systemd/seats 
presence and org.freedesktop.login1.Manager dbus interface; elogind should 
provide what's necessary
+       )
+       meson_src_configure
+}
+
+src_test() {
+       virtx meson_src_test
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       gnome2_schemas_update
+
+       if ! has_version 'media-libs/gst-plugins-good:1.0' || \
+          ! has_version 'media-plugins/gst-plugins-vpx:1.0'; then
+               ewarn "To make use of GNOME Shell's built-in screen recording 
utility,"
+               ewarn "you need to either install 
media-libs/gst-plugins-good:1.0"
+               ewarn "and media-plugins/gst-plugins-vpx:1.0, or use 
dconf-editor to change"
+               ewarn "apps.gnome-shell.recorder/pipeline to what you want to 
use."
+       fi
+
+       if ! has_version "media-libs/mesa[llvm]"; then
+               elog "llvmpipe is used as fallback when no 3D acceleration"
+               elog "is available. You will need to enable llvm USE for"
+               elog "media-libs/mesa if you do not have hardware 3D setup."
+       fi
+
+       # https://bugs.gentoo.org/show_bug.cgi?id=563084
+       # TODO: Is this still the case after various fixed in 3.28 for 
detecting non-working KMS for wayland (to fall back to X)?
+       if has_version "x11-drivers/nvidia-drivers[-kms]"; then
+               ewarn "You will need to enable kms support in 
x11-drivers/nvidia-drivers,"
+               ewarn "otherwise Gnome will fail to start"
+       fi
+}
+
+pkg_postrm() {
+       xdg_pkg_postrm
+       gnome2_schemas_update
+}

Reply via email to